This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 479904 - Incorrect MLS range for unconfined users
Incorrect MLS range for unconfined users
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 17:40 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 03:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for unconfined_u in all categories. (446 bytes, application/octet-stream)
2009-01-14 10:03 EST, Daniel Walsh
no flags Details

  None (edit)
Description Murray McAllister 2009-01-13 17:40:24 EST
Description of problem:
On a default installation of Fedora 10, unconfined users use "s0" instead of "s0-s0:c0.c1023":

$ sudo semanage login -l

Login Name                SELinux User              MLS/MCS Range            

__default__               unconfined_u              s0                       
root                      unconfined_u              s0-s0:c0.c1023           
system_u                  system_u                  s0-s0:c0.c1023 

$ id -Z
unconfined_u:unconfined_r:unconfined_t:s0


Version-Release number of selected component (if applicable):
Current:
selinux-policy-3.5.13-38.fc10.noarch
selinux-policy-targeted-3.5.13-38.fc10.noarch


Additional info:
I checked on two other installations on two different machines - unconfined was "s0".
Comment 1 Daniel Walsh 2009-01-14 10:03:29 EST
Created attachment 328999 [details]
Fix for unconfined_u in all categories.

Miroslav you can add this patch although this will not effect upgraded systems.
Comment 2 Miroslav Grepl 2009-01-14 10:20:21 EST
OK,

I will do it.
Comment 3 Miroslav Grepl 2009-01-19 15:55:48 EST
Fixed in selinux-policy-3.5.13-40.fc10.noarch
Comment 4 Murray McAllister 2009-02-14 21:41:58 EST
What is the best way to verify this is fixed?
Comment 5 Daniel Walsh 2009-02-16 12:37:37 EST
Well a fresh install with this policy would show it.  

You could force it by removing /etc/selinux/targeted 

rm -rf /etc/selinux/targeted
rpm -Uhv --force selinux-policy*3.5.13-40.fc10.noarch
restorecon -R -v /etc/selinux

semanage login -l
Comment 6 Murray McAllister 2009-02-16 20:00:35 EST
I forced it and it looks ok to me. Thanks.

Note You need to log in before you can comment on or make changes to this bug.